import Subject from './Subject';
export default interface ISubjectLedger {
    get glossary(): Map<string, Subject>;
    get activeNames(): Set<string>;
    byName(name: string): Subject | undefined;
    subjectColor(subjectName: string): string | undefined;
    subjectStyle(subjectName: string): any;
    activateSubject(subjectName: string): void;
    deactivateSubject(subjectName: string): void;
    toggleSubject(subjectName: string): void;
    activateAllSubjects(): void;
    deactivateAllSubjects(): void;
}
