export { default as MarkedText } from './MarkedText.vue';
export { type default as IMarkedText } from './IMarkedText';
export { type IColorModule, ManualColorModule, ColorScaleModule } from './ColorModule';
export { type default as IController, AController } from './IController';
export { NullController, TextSelectionController, WordSelectionController } from './Controller';
export { type default as IMark, compareMarks } from './IMark';
export { Layers } from './Layer';
export { default as Manuscript } from './Manuscript';
export { default as Patch } from './Patch';
export { default as SpanData, TypeSpanData, createSpanData } from './SpanData';
export { default as Subject, type SubjectStyleType } from './Subject';
export { type default as ISubjectLedger } from './ISubjectLedger';
export { default as SubjectLedger } from './SubjectLedger';
export { type ISubjectEngine, SubjectEngine } from './SubjectEngine';
